
Redmine - Feature #24583

Remove HTTP Referer

2016-12-12 06:17 - Krishna M S

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Security Estimated time: 0.00 hour

Target version:    

Resolution: Fixed   

Description

We are currently running Redmine 2.4.3.stable.12909 on Ubuntu

if we have an external URL in our Intranet Redmine, the external website can track the Intranet origin which poses a security

concern.

Please let us know on how to fix this?

Related issues:

Related to Redmine - Feature #29660: Add Referrer-Policy header to prevent br... Closed

History

#1 - 2017-01-03 14:45 - Toshi MARUYAMA

- Tracker changed from Defect to Feature

#2 - 2018-09-22 11:58 - Go MAEDA

- Related to Feature #29660: Add Referrer-Policy header to prevent browsers from sending private data to external sites added

#3 - 2019-01-02 02:27 - Go MAEDA

- Status changed from New to Closed

- Priority changed from High to Normal

- Resolution set to Fixed

We can close this issue because Redmine 4.0.0 does not send the Referer to external sites. See #29660#note-13 for details.
